/**
 * Generic command line option handler.
 *
 * @copyright 2008, Research In Motion Ltd.
 *
 * @version $Id: //depot/main/dsp/ecall/c/testlab/option.h#1 $
 */

#ifndef __OPTION_H__
#define __OPTION_H__

/*
 * ARGV is the option to parse
 * OPTIONS is a list of scanf like strings to match against.
 * ... is a list of pointers to char arrays to place the matching %s values.
 * Returns the index in OPTIONS that matched or -1 if no match.
 */
int option(char *argv, char *options[], ...);

#endif
