@echo off

if not exist ".\out" md ".\out"

set sa=standalone.exe
set cf=campaign_short.txt
set tv=test_vec


REM Running IVS...
%sa% -m ivs    -t ivs -c %tv%\%cf% -i %tv%\pcm  -o out\pcm
%sa% -m ivsrx  -t ivs -c %tv%\%cf% -i %tv%\pcm  -o out\port
%sa% -m ivstx  -t ivs -c %tv%\%cf% -i %tv%\port -o out\pcmtx
echo.

REM Running PSAP...
%sa% -m psap   -t ivs -c %tv%\%cf% -i %tv%\pcm  -o out\pcm
%sa% -m psaprx -t ivs -c %tv%\%cf% -i %tv%\pcm  -o out\port
%sa% -m psaptx -t ivs -c %tv%\%cf% -i %tv%\port -o out\pcmtx
echo.


for /L %%x in (1, 1, 26) do (
echo CASE %%x:

echo Checking PCM data IVS...
fc /b %tv%\pcmulin%%x.pcm out\pcmulin%%x.out
fc /b %tv%\pcmulin%%x.pcm out\pcmtxulin%%x.out

echo Checking PCM data PSAP...
fc /b %tv%\pcmdlin%%x.pcm out\pcmdlin%%x.out
fc /b %tv%\pcmdlin%%x.pcm out\pcmtxdlin%%x.out
)


for /L %%x in (1, 1, 26) do (
echo CASE %%x:

echo Checking PORT data IVS...
fc %tv%\portivsrx%%x.txt out\portivsrx%%x.txt

echo Checking PORT data PSAP...
fc %tv%\portpsaprx%%x.txt out\portpsaprx%%x.txt
)
