/**
 * Standard base types.
 *
 * @copyright 2008, Research In Motion Ltd.
 *
 * @version $Id: //depot/main/dsp/ecall/c/testlab/rimtypes.h#4 $
 */

#ifndef __RIMTYPES_H__
#define __RIMTYPES_H__

typedef unsigned char      Ord8;
typedef unsigned short int Ord16;
typedef unsigned int       Ord32;

typedef signed char      Int8;
typedef signed short int Int16;
typedef signed int       Int32;

typedef int BOOL;

#ifndef TRUE
#define TRUE (1)
#endif
#ifndef FALSE
#define FALSE (0)
#endif

#define LENGTH(x) (sizeof(x)/sizeof((x)[0]))

#endif
